Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
01.12.2020, 06:38:32

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
  • Mitglieder insgesamt: 24840
  • Letzte: Foxinity
Statistiken
  • Beiträge insgesamt: 697735
  • Themen insgesamt: 56462
  • Heute online: 475
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online
Mitglieder: 6
Gäste: 386
Gesamt: 392

Autor Thema: [gelöst]  CoolReader Installation CR_3.0.56-7 wird abgelehnt  (Gelesen 572 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

[gelöst] CoolReader Installation CR_3.0.56-7 wird abgelehnt
« am: 23.09.2019, 17:51:13 »
LinuxMint 19.2 Mate 64bit

Hallo,
ich versuche eine CoolReader Installation. Wenn ich die herunter geladene deb-Datei installieren will, kommt folgender Fehler:
Abhängigkeit nicht erfpüllbar: libpng12-0 (>=1.2.13-4)

Wie komme ich da weiter?
Gruß svgt
« Letzte Änderung: 24.09.2019, 19:04:42 von svgt »

Re: CoolReader Installation CR_3.0.56-7 wird abgelehnt
« Antwort #1 am: 23.09.2019, 18:11:29 »
Ich würde es wohl eher mal mit FBReader oder Calibre versuchen, da beide in den offiziellen Quellen vorhanden sind:
https://wiki.ubuntuusers.de/FBReader/
https://wiki.ubuntuusers.de/Calibre/

Für Cool Reader gibt es zwar auch ein PPA mit einer evtl. "neueren" Version aus 2014,...
https://wiki.ubuntuusers.de/CoolReader/
...aber das PPA unterstützt Ubuntu nur bis 14.04.x.

Ich habe allerdings hier noch ein PPA gefunden, damit könntest Du es mal versuchen:
https://launchpad.net/~linuxthebest.net/+archive/ubuntu/coolreader3

Hylli

Re: CoolReader Installation CR_3.0.56-7 wird abgelehnt
« Antwort #2 am: 23.09.2019, 18:37:36 »
Ich habe es mit dem letzten PPA versucht.
Die beiden Befehle gehen ohne Fehler durch:

sudo add-apt-repository ppa:linuxthebest.net/coolreader3
sudo apt-get update

Aber mit Synaptic finde ich danach keinen CoolReader.

Re: CoolReader Installation CR_3.0.56-7 wird abgelehnt
« Antwort #3 am: 23.09.2019, 18:46:29 »
Was sagt

inxi -r?

Re: CoolReader Installation CR_3.0.56-7 wird abgelehnt
« Antwort #4 am: 23.09.2019, 18:49:54 »
hans@hans-D2461-C1:~$ inxi -r
Repos:     No active apt repos in: /etc/apt/sources.list
           Active apt repos in: /etc/apt/sources.list.d/additional-repositories.list
           1: deb https://updates.signal.org/desktop/apt xenial main
           Active apt repos in: /etc/apt/sources.list.d/linuxthebest_net-coolreader3-bionic.list
           1: deb http://ppa.launchpad.net/linuxthebest.net/coolreader3/ubuntu bionic main
           Active apt repos in: /etc/apt/sources.list.d/official-package-repositories.list
           1: deb http://mirror.inode.at/linuxmint/packages tina main upstream import backport
           2: deb http://ubuntu.inode.at/ubuntu bionic main restricted universe multiverse
           3: deb http://ubuntu.inode.at/ubuntu bionic-updates main restricted universe multiverse
           4: deb http://ubuntu.inode.at/ubuntu bionic-backports main restricted universe multiverse
           5: deb http://security.ubuntu.com/ubuntu/ bionic-security main restricted universe multiverse
           6: deb http://archive.canonical.com/ubuntu/ bionic partner
hans@hans-D2461-C1:~$

Re: CoolReader Installation CR_3.0.56-7 wird abgelehnt
« Antwort #5 am: 23.09.2019, 18:53:50 »
Suche mal nach "cr3" oder installiere es gleich per Terminal über:
sudo apt install cr3
Hylli

Re: CoolReader Installation CR_3.0.56-7 wird abgelehnt
« Antwort #6 am: 23.09.2019, 18:55:44 »
cr3 - steht ja so auch auf der PPA Seite... ;)

Re: CoolReader Installation CR_3.0.56-7 wird abgelehnt
« Antwort #7 am: 23.09.2019, 18:59:31 »
Also cr3 finde ich. Ich versuche das zu installieren.
Dann kommen diese Fehlermeldungen:

Hängt ab von: libpng12-0 (>=1.2.13-4) but it is not installable
 Hängt ab von: libjpeg62, aber es wird nicht installiert
 Hängt ab von: libqtcore4, aber es wird nicht installiert
 Hängt ab von: libqtgui4, aber es wird nicht installiert

das ist genau die Meldung aus meinem ersten Beitrag.

Re: CoolReader Installation CR_3.0.56-7 wird abgelehnt
« Antwort #8 am: 23.09.2019, 19:07:55 »
Die letzteren 3 Pakete finden sich in Synaptic in genau der geforderten Version.

Von libpng gibt es aktuell Version libpng16-16.

Eventuell könnte man es mit einem Symbolischen Link versuchen:
https://wiki.ubuntuusers.de/ln/#Symbolische-Verknuepfungen

Allerdings kann ich Dir aktuell nicht sagen, wie der dann aussehen müsste.

Hylli

tml

  • Gast
Re: CoolReader Installation CR_3.0.56-7 wird abgelehnt
« Antwort #9 am: 24.09.2019, 11:47:39 »
Abhängigkeit nicht erfpüllbar: libpng12-0 (>=1.2.13-4)
Und wo ist da dann das Problem?
Hier herunterladen, installieren, danach CR3, fertig. CoolReader lässt sich anschließend über den entsprechenden Menüeintrag unter "Büro" starten.

Re: CoolReader Installation CR_3.0.56-7 wird abgelehnt
« Antwort #10 am: 24.09.2019, 11:55:40 »
Ich denke, das Problem könnte sein:

in Deinem Link kommt eine Xenial Ubuntu Version vor.
Meine Version ist aber Bionic, siehe voriges inxi -r

tml

  • Gast
Re: CoolReader Installation CR_3.0.56-7 wird abgelehnt
« Antwort #11 am: 24.09.2019, 18:09:41 »
Ich denke
Kannst du gern machen...
Während du also noch darüber nachdenkst, habe ich das Programm kurz einmal in einer virtuellen Maschine installiert und gestartet:

Re: CoolReader Installation CR_3.0.56-7 wird abgelehnt
« Antwort #12 am: 24.09.2019, 19:02:03 »
Du hast Recht. Es funktioniert sofort. Auch in meiner realen Maschine.

Nicht dass es keine anderen Lese-Programme gibt.
Aber der CoolReader ist schlicht und übersichtlich aufgebaut.
Und er macht gleich Update auf Version 3.1.2-39
Er ist einfacher zu bedienen als ein Calibre.
Danke schön.

 

1. Advent
1. Advent